> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavel.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Actions report



## OpenAPI

````yaml https://app.mavel.ai/api/v1/openapi.json get /reports/actions
openapi: 3.0.3
info:
  title: Mavel REST API
  version: v1
  description: >-
    REST API for Mavel. Authentication: pass `X-API-Key: <key>` header.
    Rate-limited at 200 req/min/project. Plan tier: Enterprise (or Scale+ on
    Agency tier).
servers:
  - url: /api/v1
security:
  - ApiKeyAuth: []
paths:
  /reports/actions:
    get:
      tags:
        - Reports
      summary: Actions report
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: project_id
          in: query
        - schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
          required: false
          name: start_date
          in: query
        - schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
          required: false
          name: end_date
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 1000
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
          required: false
          name: offset
          in: query
        - schema:
            type: string
            enum:
              - OWNED
              - EDITORIAL
              - UGC
              - REFERENCE
          required: false
          name: group
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  rows:
                    type: array
                    items:
                      type: object
                      additionalProperties:
                        nullable: true
                required:
                  - rows
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    pattern: ^[A-Z0-9]+(?:_[A-Z0-9]+)*$
                  message:
                    type: string
                  statusCode:
                    type: integer
                  meta:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - code
                  - message
                  - statusCode
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````